SeExpr

Public Member Functions | List of all members
ExprSlider Class Reference

Generic Slider (used for int and float sliders) More...

`#include <ExprControl.h>`

Inheritance diagram for ExprSlider:

## Public Member Functions
| ExprSlider (QWidget *parent=0)
| ExprSlider (Qt::Orientation orientation, QWidget *parent=0)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | paintEvent (QPaintEvent *e)
virtual void | leaveEvent (QEvent *event)
virtual void | enterEvent (QEvent *event)
virtual void | wheelEvent (QWheelEvent *e)

## Detailed Description

Generic Slider (used for int and float sliders)

Definition at line 126 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ ExprSlider() [1/2]

ExprSlider::ExprSlider | ( | QWidget * | parent = `0` | ) |
| inline

Definition at line 129 of file ExprControl.h.

## ◆ ExprSlider() [2/2]

ExprSlider::ExprSlider | ( | Qt::Orientation | orientation,
|  | QWidget * | parent = `0`
| ) |  |
| inline

Definition at line 130 of file ExprControl.h.

## Member Function Documentation

## ◆ enterEvent()

virtual void ExprSlider::enterEvent | ( | QEvent * | event | ) |
| inline virtual

Definition at line 138 of file ExprControl.h.

## ◆ leaveEvent()

virtual void ExprSlider::leaveEvent | ( | QEvent * | event | ) |
| inline virtual

Definition at line 134 of file ExprControl.h.

## ◆ mouseMoveEvent()

void ExprSlider::mouseMoveEvent | ( | QMouseEvent * | e | ) |
| virtual

Definition at line 95 of file ExprControl.cpp.

References SeExpr2::max(), SeExpr2::min(), and r.

Referenced by mousePressEvent().

## ◆ mousePressEvent()

void ExprSlider::mousePressEvent | ( | QMouseEvent * | e | ) |
| virtual

Definition at line 93 of file ExprControl.cpp.

References mouseMoveEvent().

## ◆ paintEvent()

void ExprSlider::paintEvent | ( | QPaintEvent * | e | ) |
| virtual

Definition at line 102 of file ExprControl.cpp.

References p, r, and value().

## ◆ wheelEvent()

virtual void ExprSlider::wheelEvent | ( | QWheelEvent * | e | ) |
| inline virtual

Definition at line 142 of file ExprControl.h.

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp